Dear User Support Team,

| hope you are well. | am planning to run a multi-level model to longitudinally analyse data from waves 1, 3, 6, and 9 of
Understanding Society. Following the advice on Understanding Society MLM Analysis guidance page (
https://www.understandingsociety.ac.uk/documentation/mainstage/user-guides/main-survey-user-guide/analysis-quidance-for-weight
s-when-fitting-multilevel-models/), | am going to use a two level model. An ICC indicated that about 50% of variation in the outcome
(GHQ) is at the respondent level rather than at the response (aka wave) level. So, | am going to use the levels of wave and
respondent, and | will also set standard errors to be robust to PSU clustering using the “mixed” command in Stata.

Please could you advise me on which weights to use for a two-level multilevel model where level 1 = wave and level 2 = respondent?

| have organised my data so that each respondent has up to three rows. Each row contains an outcome variable from one wave
(i.e., outcomes were measured in waves 3, 6, or 9) and predictors that were measured two or three waves before the outcome (i.e.,
predictors were measured in waves 1, 3, and 6 respectively). | have attached an example of the data structure in case that is helpful.

| created a variable called “w_indscus_Iw” using the indscus_Ilw weight for the outcome wave for each row.

Based on
https://www.understandingsociety.ac.uk/documentation/mainstage/user-guides/main-survey-user-guide/analysis-guidance-for-weight
s-when-fitting-multilevel-models/, | think the correct stata syntax would be:

mixed outcome predictors [pw= DD[HD] || pidp:, mle pweight(ﬂﬂﬂ) vce(cluster psu) pwscale (gk)

Please could you let me know which weighting variables would be appropriate to use as [[[, and 0000 or 000,02
Could “w_indscus_Iw” be used as 00007

If s0, could | use “c_indscus_Iw” as 000 ?

And then could 0000 be “c_indscus_Iw"/ “w_indscus_Iw"?

Or should | use an earlier variable as Il1? Such as a_indinus_xw?

Many thanks,

Benedict Hignell

History

#1 - 03/02/2026 09:02 AM - Understanding Society User Support Team
- Status changed from New to Feedback

- % Done changed from 0 to 80

Thanks for your question. Our methods expert has said that standard weighting is needed here. The complexity arises only when levels of the model
include higher-level sampling units like households and areas, but that’s not the case with your model in which individual is level 2 and person-wave
level 1. You just need to use the svy version of your command along with standard weights.

Hope this helps. If not, or you have further questions please let us know.

Best wishes,
Understanding Society User Support Team

#2 - 03/04/2026 05:45 PM - Benedict John Hignell

Dear Understanding Society User Support Team,
Thank you for your response. For the svy version of the command, would the following be your recommended approach:

svyset psu, weight(i_indscus_Iw) strata(strata) singleunit(centered)
svy: meglm outcome predictors || pidp:

That approach was suggested by a Statalist user (
https://www.statalist.org/forums/forum/general-stata-discussion/general/1706479-analysis-of-repeated-measures-using-mixed-effects-and-svy-comma
nd) but I am not sure if it is correct.

The above code is using i_indscus_Iw instead of w_indscus_Iw because when only one weight is specified and that is at the individual level, then
each individual has to have the same weight for all their responses. Are you aware of any alternative weighting approaches (e.g., something using
w_indscus_lw) that would enable respondents to be included in the analysis if they had outcomes in wave 3 and 6, but not wave 9 (see the example
data attached to the initial posting)? For instance, could the following be appropriate:

svyset psu, strata(strata) singleunit(centered) || pidp, weight(w_indscus_Iw)
svy: meglm scghq1 $model5 || pidp:

Many thanks,

Benedict

#3 - 03/05/2026 05:55 PM - Understanding Society User Support Team
